import { VNode } from "vue";
import { MenuOptions } from "./ContextMenuDefine";
export declare function getTop(e: HTMLElement, stopNode?: HTMLElement): number;
export declare function getLeft(e: HTMLElement, stopNode?: HTMLElement): number;
/**
 * If your `body` element is in a scaled state (e.g. `transform: scale(0.5)`),
 * this may lead to the wrong position of the menu display.
 * You can use this function to transform the menu display position:
 *
 * ```ts
 *
  import ContextMenu from '@imengyu/vue3-context-menu'

  function onContextMenu(e: MouseEvent) {
    const scaledPosition = ContextMenu.transformMenuPosition(e.target as HTMLElement, e.offsetX, e.offsetY);
    //Full code of menuData is in `/examples/views/InScaledBody.vue`
    menuData.x = scaledPosition.x;
    menuData.y = scaledPosition.y;
    //show menu
    ContextMenu.showContextMenu(menuData);
  }
  * ```
  * @param e Current click element
  * @param offsetX MouseEvent.offsetX
  * @param offsetY MouseEvent.offsetY
  */
export declare function transformMenuPosition(e: HTMLElement, offsetX: number, offsetY: number, container?: HTMLElement): {
    x: number;
    y: number;
};
export declare function removeContainer(container: HTMLElement): void;
export declare function genContainer(options: MenuOptions): {
    container: HTMLElement;
    isNew: boolean;
};
/**
 * Render a VNode
 */
export declare const VNodeRender: import("vue").DefineComponent<{
    vnode: {
        type: (ObjectConstructor | FunctionConstructor)[];
        default: null;
    };
    data: {
        type: ObjectConstructor;
        default: null;
    };
}, () => VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    vnode: {
        type: (ObjectConstructor | FunctionConstructor)[];
        default: null;
    };
    data: {
        type: ObjectConstructor;
        default: null;
    };
}>>, {
    data: Record<string, any>;
    vnode: Function | Record<string, any>;
}>;
